<?php

namespace App\Transformers;

use App\ShopAccount;
use App\User;
use League\Fractal\TransformerAbstract;

class LoginTransformer extends TransformerAbstract {

    public function transform(User $user) {
        return [
            'id' => $user['id'],
            'account' => !empty($user['account']) ? $user['account'] : "",
            'mobile' => $user['mobile'],
            'status' => $user['status'],
            'shop_id' => $user['shop_id'],
            'token' => "Bearer{$user['token']}",
            'token_ttl' => $user['token_ttl'],
            'shop_account' => $user->shop->toArray(),
            'menu' => config("menu"),
        ];
    }
}